### Method

# Gio Subprocess get_stdin_pipe

since: 2.40

#### Declaration

    GOutputStream*
    g_subprocess_get_stdin_pipe (
      GSubprocess* subprocess
    )

#### Description

Gets the `GOutputStream` that you can write to in order to give data to the stdin of `subprocess`.

The process must have been created with `G_SUBPROCESS_FLAGS_STDIN_PIPE` and not `G_SUBPROCESS_FLAGS_STDIN_INHERIT`, otherwise `NULL` will be returned.

Available since: 2.40

#### Return value

Type: `GOutputStream`

The stdout pipe.

The returned data is owned by the instance.
The return value can be `NULL`.